{
  "name": "vue-app-template",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --host 0.0.0.0",
    "build": "vue-tsc -b && vite build",
    "upload": "bash ./upload.sh",
    "build-and-upload": "pnpm run build && pnpm run upload",
    "preview": "vite preview",
    "check-env": "node ./scripts/checkVersions.cjs"
  },
  "dependencies": {
    "@nutui/nutui": "^4.3.13",
    "@types/crypto-js": "^4.2.2",
    "@types/node": "^22.10.1",
    "@unocss/reset": "^66.3.2",
    "axios": "^1.7.9",
    "crypto-js": "^4.2.0",
    "echarts": "^5.6.0",
    "lucide-vue-next": "^0.525.0",
    "pinia": "^2.3.0",
    "pinia-plugin-persistedstate": "^4.1.3",
    "semver": "^7.6.3",
    "vue": "^3.5.13",
    "vue-echarts": "^7.0.3",
    "vue-router": "4",
    "vue-virtual-draglist": "^3.3.8"
  },
  "devDependencies": {
    "@iconify-json/carbon": "^1.2.8",
    "@nutui/auto-import-resolver": "^1.0.0",
    "@types/qs": "^6.9.17",
    "@unocss-applet/preset-rem-rpx": "^0.9.0",
    "@unocss/preset-wind": "^0.65.2",
    "@vitejs/plugin-basic-ssl": "^1.2.0",
    "@vitejs/plugin-vue": "^5.2.1",
    "postcss-pxtorem": "^6.1.0",
    "prettier": "3.4.2",
    "sass-embedded": "^1.86.0",
    "svg-sprite-loader": "^6.0.11",
    "typescript": "~5.6.2",
    "unocss": "^0.65.2",
    "unplugin-auto-import": "^19.3.0",
    "unplugin-vue-components": "^28.8.0",
    "vite": "^6.0.1",
    "vue-tsc": "^2.1.10"
  },
  "engines": {
    "node": ">=22.11.0",
    "pnpm": ">=9.13.2"
  },
  "preinstall": "npx only-allow pnpm"
}
